//----------------------------------------------------------------------
// Util.java
// Author: Bob Dondero
//----------------------------------------------------------------------

package edu.princeton.penny;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.Cookie;

public class Util
{
   public static String getCookie(HttpServletRequest request,
      String soughtName)
   {
      Cookie[] cookies = request.getCookies();
      if ((cookies == null) || (cookies.length == 0))
         return null;
      for (Cookie cookie : cookies)
         if (cookie.getName().equals(soughtName))
            return cookie.getValue();
      return null;
   }
}
